Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 915910 (qt5-qtmultimedia) - Review Request: qt5-qtmultimedia - Qt5 - Multimedia support
Summary: Review Request: qt5-qtmultimedia - Qt5 - Multimedia support
Keywords:
Status: CLOSED RAWHIDE
Alias: qt5-qtmultimedia
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: qt5-qtbase, qt5-qtbase-review qt5-qtdeclarative
Blocks: kde-reviews qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-02-26 18:40 UTC by Rex Dieter
Modified: 2013-09-06 17:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-03 12:07:49 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2013-02-26 18:40:01 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtmultimedia.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtmultimedia-5.0.1-1.fc18.src.rpm
Description: Qt5 - QtMultimedia component
Fedora Account System Username: rdieter

Comment 2 Panos Polychronis 2013-05-09 10:43:46 UTC
i tried to build the  qt5-qtmultimedia-5.0.2-1.fc18.src.rpm ... it's seems to be compiled ok but i'm getting those errors at the end ...

Processing files: qt5-qtmultimedia-debuginfo-5.0.2-1.fc19.x86_64
Provides: qt5-qtmultimedia-debuginfo = 5.0.2-1.fc19 qt5-qtmultimedia-debuginfo(x86-64) = 5.0.2-1.fc19
Requires(rpmlib): rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/panos/rpmbuild/BUILDROOT/qt5-qtmultimedia-5.0.2-1.fc18.x86_64
error: Installed (but unpackaged) file(s) found:
   /usr/lib64/libQt5MultimediaQuick_p.so.5
   /usr/lib64/libQt5MultimediaQuick_p.so.5.0
   /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2
   /usr/lib64/qt5/qml/QtMultimedia/Video.qml
   /usr/lib64/qt5/qml/QtMultimedia/libdeclarative_multimedia.so
   /usr/lib64/qt5/qml/QtMultimedia/plugins.qmltypes
   /usr/lib64/qt5/qml/QtMultimedia/qmldir

Comment 3 Rex Dieter 2013-05-09 12:08:46 UTC
Could possibly be a missing/optional BuildRequires , I'll look into it.

Darn, the scratch build has been garbage-collected already, I was about to suggest you use/test the mock build instead.

Comment 4 Rex Dieter 2013-05-09 13:54:26 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtmultimedia.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtmultimedia-5.0.2-2.fc18.src.rpm

%changelog
* Thu May 09 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-2
- BR: qt5-qtdeclarative-devel

Comment 5 Lubomir Rintel 2013-08-27 16:38:08 UTC
* Package is properly named
- Not packaging latest upstream version (I presume it's fine due to dependencies within the rest of qt5 stack?)
- License fine, but full text missing
* SPEC file clean and legible
- RPMLint a bit unhappy (see below)
* Unversioned .so files are just plugins
* Requires fine
* Provides fine
* Filelist sane
- Source code not intact
* Builds fine in mock

1.) Could shlib dependencies be gotten rid of with --as-needed linker flag?

qt5-qtmultimedia-devel.x86_64: W: no-documentation
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2 /lib64/libQt5Multimedia.so.5
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2 /lib64/libpulse.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2 /lib64/libQt5Qml.so.5
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2 /lib64/libQt5Network.so.5
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2 /lib64/libQt5Gui.so.5
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2 /lib64/libpthread.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2 /lib64/libGL.so.1
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2 /lib64/libm.so.6
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaQuick_p.so.5.0.2 /lib64/libgcc_s.so.1
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Multimedia.so.5.0.2 /lib64/libpthread.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Multimedia.so.5.0.2 /lib64/libGL.so.1
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Multimedia.so.5.0.2 /lib64/libm.so.6
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Multimedia.so.5.0.2 /lib64/libgcc_s.so.1
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libgstaudio-0.10.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libgstpbutils-0.10.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libgmodule-2.0.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libgthread-2.0.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libxml2.so.2
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libpulse.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libQt5Network.so.5
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libGL.so.1
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libm.so.6
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqgsttools_p.so.1.0.0 /lib64/libgcc_s.so.1
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaWidgets.so.5.0.2 /lib64/libpulse.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaWidgets.so.5.0.2 /lib64/libQt5Network.so.5
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaWidgets.so.5.0.2 /lib64/libpthread.so.0
qt5-qtmultimedia.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5MultimediaWidgets.so.5.0.2 /lib64/libgcc_s.so.1
qt5-qtmultimedia.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 29 warnings.

2.) Source file checksum does not match upstream tarball:

Please redownload http://releases.qt-project.org/qt5/5.0.2/submodules/qtmultimedia-opensource-src-5.0.2.tar.xz

3.) License text not present

Could you please ask upstream to add it?

Comment 6 Lubomir Rintel 2013-08-27 17:15:37 UTC
Also, you refer to license files in a comment, but don't ship any documentation.

4.) Please consider using more useful description.

The description for devel file should likely be different from main package and you should be consistent about the period that follows it.

Comment 7 Rex Dieter 2013-08-28 17:50:58 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtmultimedia.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtmultimedia-5.0.2-3.fc19.src.rpm

%changelog
* Wed Aug 28 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-3
- update Source URL (and refetch tarball)
- improved summary/description

Comment 8 Rex Dieter 2013-08-28 17:51:32 UTC
oh, and pinging upstream about including license files...

Comment 9 Lubomir Rintel 2013-08-29 14:19:41 UTC
Thank you. Looks good to me now.

APPROVED

Comment 10 Rex Dieter 2013-08-29 20:58:43 UTC
New Package SCM Request
=======================
Package Name: qt5-qtmultimedia
Short Description: Qt5 - Multimedia support
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20
InitialCC:

Comment 11 Gwyn Ciesla 2013-08-30 00:44:02 UTC
Git done (by process-git-requests).

Comment 12 Rex Dieter 2013-09-03 12:07:49 UTC
imported

Comment 13 Richard Shaw 2013-09-06 16:17:11 UTC
Package Change Request
======================
Package Name: qt5-qtmultimedia
New Branches: el6
Owners: hobbes1069
InitialCC: 

Needed for future review request.
Co-maintainers welcomed!

Comment 14 Gwyn Ciesla 2013-09-06 17:11:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.